=== modified file 'drizzled/function/func.h'
--- drizzled/function/func.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/func.h	2009-01-01 03:07:33 +0000
@@ -24,6 +24,7 @@
 
 #include <drizzled/item.h>
 #include <drizzled/sql_list.h>
+#include <drizzled/item/bin_string.h>
 
 
 class Item_func :public Item_result_field

=== modified file 'drizzled/function/math/int.h'
--- drizzled/function/math/int.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/int.h	2009-01-01 20:39:37 +0000
@@ -20,7 +20,6 @@
 #ifndef DRIZZLED_FUNCTION_MATH_INT_H
 #define DRIZZLED_FUNCTION_MATH_INT_H
 
-#include <drizzled/item.h>
 #include <drizzled/function/func.h>
 #include <drizzled/sql_list.h>
 

=== modified file 'drizzled/function/math/real.h'
--- drizzled/function/math/real.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/math/real.h	2009-01-01 20:39:37 +0000
@@ -20,7 +20,6 @@
 #ifndef DRIZZLED_FUNCTION_MATH_REAL_H
 #define DRIZZLED_FUNCTION_MATH_REAL_H
 
-#include <drizzled/item.h>
 #include <drizzled/function/func.h>
 
 class Item_real_func :public Item_func

=== modified file 'drizzled/function/num1.h'
--- drizzled/function/num1.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/num1.h	2009-01-01 20:39:37 +0000
@@ -20,7 +20,6 @@
 #ifndef DRIZZLED_FUNCTION_NUM1_H
 #define DRIZZLED_FUNCTION_NUM1_H
 
-#include <drizzled/item.h>
 #include <drizzled/function/numhybrid.h>
 
 /* function where type of result detected by first argument */

=== modified file 'drizzled/function/numhybrid.h'
--- drizzled/function/numhybrid.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/numhybrid.h	2009-01-01 20:39:37 +0000
@@ -20,7 +20,6 @@
 #ifndef DRIZZLED_FUNCTION_NUMHYBRID_H
 #define DRIZZLED_FUNCTION_NUMHYBRID_H
 
-#include <drizzled/item.h>
 #include <drizzled/function/func.h>
 
 class Item_func_numhybrid: public Item_func

=== modified file 'drizzled/function/str/sysconst.cc'
--- drizzled/function/str/sysconst.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/str/sysconst.cc	2009-01-01 17:36:53 +0000
@@ -19,6 +19,7 @@
 
 #include <drizzled/server_includes.h>
 #include CSTDINT_H
+#include <drizzled/item/string.h>
 #include <drizzled/function/str/sysconst.h>
 
 Item *Item_func_sysconst::safe_charset_converter(const CHARSET_INFO * const tocs)

=== modified file 'drizzled/item.cc'
--- drizzled/item.cc	2008-12-24 02:06:33 +0000
+++ drizzled/item.cc	2009-01-01 02:10:50 +0000
@@ -28,6 +28,7 @@
 #include <drizzled/item/cache_row.h>
 #include <drizzled/item/type_holder.h>
 #include <drizzled/item/sum.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/function/str/conv_charset.h>
 #include <drizzled/virtual_column_info.h>
 #include <drizzled/sql_base.h>

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2008-12-15 21:42:00 +0000
+++ drizzled/item.h	2009-01-01 17:36:53 +0000
@@ -587,12 +587,7 @@
 
 };
 
-#include <drizzled/item/basic_constant.h>
-#include <drizzled/item/bin_string.h>
-#include <drizzled/item/blob.h>
-#include <drizzled/item/copy_string.h>
 #include <drizzled/item/ident.h>
-#include <drizzled/item/field.h>
 
 void mark_as_dependent(Session *session,
 		       st_select_lex *last,

=== modified file 'drizzled/item/empty_string.h'
--- drizzled/item/empty_string.h	2008-12-09 19:33:58 +0000
+++ drizzled/item/empty_string.h	2009-01-01 17:36:53 +0000
@@ -26,6 +26,8 @@
   the client.
 */
 
+#include <drizzled/item/string.h>
+
 class Item_empty_string :public Item_string
 {
 public:

=== modified file 'drizzled/item/float.cc'
--- drizzled/item/float.cc	2008-12-15 21:42:00 +0000
+++ drizzled/item/float.cc	2009-01-01 17:36:53 +0000
@@ -21,6 +21,7 @@
 #include CSTDINT_H
 #include <drizzled/error.h>
 #include <drizzled/item/num.h>
+#include <drizzled/item/string.h>
 #include <drizzled/item/float.h>
 #include CMATH_H
 

=== modified file 'drizzled/item/hex_string.cc'
--- drizzled/item/hex_string.cc	2008-12-09 19:33:58 +0000
+++ drizzled/item/hex_string.cc	2009-01-01 17:36:53 +0000
@@ -20,6 +20,7 @@
 #include <drizzled/server_includes.h>
 #include CSTDINT_H
 #include <drizzled/error.h>
+#include <drizzled/item/string.h>
 #include <drizzled/item/hex_string.h>
 
 inline uint32_t char_val(char X)

=== modified file 'drizzled/item/hex_string.h'
--- drizzled/item/hex_string.h	2008-12-09 19:33:58 +0000
+++ drizzled/item/hex_string.h	2009-01-01 02:10:50 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_HEX_STRING_H
 #define DRIZZLED_ITEM_HEX_STRING_H
 
+#include <drizzled/item/basic_constant.h>
+
 class Item_hex_string: public Item_basic_constant
 {
 public:

=== modified file 'drizzled/item/insert_value.cc'
--- drizzled/item/insert_value.cc	2008-12-12 22:39:38 +0000
+++ drizzled/item/insert_value.cc	2009-01-01 02:10:50 +0000
@@ -24,6 +24,7 @@
 #include <drizzled/table.h>
 #include <drizzled/item/insert_value.h>
 #include <drizzled/item/ref.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/field/null.h>
 
 

=== modified file 'drizzled/item/num.cc'
--- drizzled/item/num.cc	2008-12-15 04:06:04 +0000
+++ drizzled/item/num.cc	2009-01-01 17:36:53 +0000
@@ -21,6 +21,7 @@
 #include CSTDINT_H
 #include <drizzled/item/uint.h>
 #include <drizzled/item/num.h>
+#include <drizzled/item/string.h>
 #include <drizzled/item/decimal.h>
 
 /**

=== modified file 'drizzled/item/string.h'
--- drizzled/item/string.h	2008-12-11 00:56:56 +0000
+++ drizzled/item/string.h	2009-01-01 03:07:33 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_ITEM_STRING_H
 #define DRIZZLED_ITEM_ITEM_STRING_H
 
+#include <drizzled/item/basic_constant.h>
+
 class Item_string :public Item_basic_constant
 {
 public:

=== modified file 'drizzled/item/subselect.h'
--- drizzled/item/subselect.h	2008-12-12 22:39:38 +0000
+++ drizzled/item/subselect.h	2009-01-01 02:10:50 +0000
@@ -25,6 +25,7 @@
 
 #include <drizzled/comp_creator.h>
 #include <drizzled/item/ref.h>
+#include <drizzled/item/field.h>
 
 class st_select_lex;
 class st_select_lex_unit;

=== modified file 'drizzled/item/sum.h'
--- drizzled/item/sum.h	2008-12-06 19:42:46 +0000
+++ drizzled/item/sum.h	2009-01-01 03:07:33 +0000
@@ -26,6 +26,8 @@
 #include <mysys/my_tree.h>
 #include <drizzled/hybrid_type.h>
 #include <drizzled/item.h>
+#include <drizzled/item/field.h>
+#include <drizzled/item/bin_string.h>
 
 
 class st_select_lex;

=== modified file 'drizzled/set_var.h'
--- drizzled/set_var.h	2008-12-24 00:37:31 +0000
+++ drizzled/set_var.h	2009-01-01 03:07:33 +0000
@@ -22,6 +22,7 @@
 
 #include <drizzled/function/func.h>
 #include <drizzled/function/set_user_var.h>
+#include <drizzled/item/string.h>
 
 #include <string>
 

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-01-05 18:38:13 +0000
+++ drizzled/show.cc	2009-01-05 23:25:06 +0000
@@ -28,6 +28,7 @@
 #include <drizzled/error.h>
 #include <drizzled/tztime.h>
 #include <drizzled/data_home.h>
+#include <drizzled/item/blob.h>
 #include <drizzled/item/cmpfunc.h>
 #include <drizzled/item/return_int.h>
 #include <drizzled/item/empty_string.h>

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-12-15 22:23:14 +0000
+++ drizzled/sql_select.cc	2009-01-01 02:10:50 +0000
@@ -38,6 +38,7 @@
 #include <drizzled/show.h>
 #include <drizzled/item/cache.h>
 #include <drizzled/item/cmpfunc.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/item/uint.h>
 #include <drizzled/cached_item.h>
 #include <drizzled/sql_base.h>

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2008-12-12 16:10:44 +0000
+++ drizzled/sql_select.h	2009-01-01 20:39:37 +0000
@@ -20,7 +20,6 @@
 #ifndef DRIZZLED_SQL_SELECT_H
 #define DRIZZLED_SQL_SELECT_H
 
-#include <drizzled/item.h>
 #include <drizzled/cached_item.h>
 #include <drizzled/session.h>
 #include <drizzled/field/varstring.h>

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-12-24 02:06:33 +0000
+++ drizzled/sql_yacc.yy	2009-01-01 02:10:50 +0000
@@ -78,6 +78,7 @@
 #include <drizzled/error.h>
 #include <drizzled/nested_join.h>
 #include <drizzled/sql_parse.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/item/cmpfunc.h>
 #include <drizzled/item/uint.h>
 #include <drizzled/item/null.h>

